Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_iseq_constant_body::iseq_insn_info Struct Reference

`#include <vm_core.h>`

## Data Fields
const struct iseq_insn_info_entry * | body
unsigned int * | positions
unsigned int | size
struct succ_index_table * | succ_index_table

## Detailed Description

Definition at line 402 of file vm_core.h.

## Field Documentation

## ◆ body

const struct iseq_insn_info_entry * rb_iseq_constant_body::iseq_insn_info::body

Definition at line 403 of file vm_core.h.

Referenced by rb_iseq_free().

## ◆ positions

unsigned int * rb_iseq_constant_body::iseq_insn_info::positions

Definition at line 404 of file vm_core.h.

Referenced by rb_iseq_free(), and rb_iseq_insns_info_encode_positions().

## ◆ size

unsigned int rb_iseq_constant_body::iseq_insn_info::size

Definition at line 405 of file vm_core.h.

Referenced by rb_iseq_insns_info_decode_positions(), rb_iseq_insns_info_encode_positions(), and rb_iseq_memsize().

## ◆ succ_index_table

struct succ_index_table * rb_iseq_constant_body::iseq_insn_info::succ_index_table

Definition at line 407 of file vm_core.h.

Referenced by rb_iseq_free(), rb_iseq_insns_info_decode_positions(), and rb_iseq_insns_info_encode_positions().

The documentation for this struct was generated from the following files:

- vm_core.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h